
Redmine - Defect #1310

Email notifications not working after a certain point in time

2008-05-27 01:44 - Suraj Shah

Status: Closed Start date: 2008-05-27

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I was using version 0.6.3 and suddenly after a certain point in time, email notifications stopped working.

I have now upgraded to version 0.7.1 and still have problems.

I have already ensured that the smtp server correctly sends and relays messages from the sender to the destination addresses.

The strange thing is that i updated some old issues (which were created before the problem started) and mails were sent out.

The test mail sent from the admin console, says the message was sent correctly but never arrives, actually it doesnt even seems to

contact the smtp server.

Is there any parameter in environment.rb that can activate extra debug info for Action Mail. The general log level parameter when set

to :debug does not seem to give any extra log info, it just gives more info on the database queries.

History

#1 - 2008-05-29 19:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.7.1)

- Resolution set to Invalid

- Affected version deleted (0.7.1)

You can see the raw emails dumps in the log by commenting out this line in config/environments/production.rb (restart the app):

config.action_mailer.logger = nil

 Reopen if you have any information about this problem.

#2 - 2008-06-08 09:46 - Suraj Shah

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

I uncommented the line you suggested above and now the raw email dumps come up on the log.

I can now see that there seems to be some problem evaluating the destination email address (the "To" attribute) as it seems to be completely

missing.

The destination email address comes up as a Bcc recipient instead!

Here is an example of what i see in the log (the actual emails have been taken away for privacy):

Sent mail:

From: norely@domain.com

Bcc: aaa@domain.com

Subject: [Project 1 - Bug #101] aa

Mime-Version: 1.0

...

...

As you can see, there is no "To" attribute and so i imagine the smtp then fails.

I have tried to reset the users email address through the web interface to see if refreshing it gets the email going without success.
Could you give me any suggestions where to look to find what is happening?

Regards

Suraj

#3 - 2008-06-09 00:26 - Jean-Philippe Lang

- Status changed from Reopened to Closed

As you can see, there is no "To" attribute and so i imagine the smtp then fails.

 I don't think so but if you don't want to use blind carbon copies, go to application settings -> email notifications and uncheck Blind carbon copy

recipients (bcc).

Also, you should check the email dump to see if there is any invalid address that your SMTP server rejects.

Please, reopen this only if you can point the exact problem in Redmine.
